Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.event
Class AuditEventListener

    java.lang.Object
      org.hibernate.envers.event.AuditEventListener

All Implemented Interfaces:
  Serializable, Initializable, PostCollectionRecreateEventListener, PostDeleteEventListener, PostInsertEventListener, PostUpdateEventListener, PreCollectionRemoveEventListener, PreCollectionUpdateEventListener

    public class AuditEventListener

extends Object
implements PostInsertEventListener, PostUpdateEventListener, PostDeleteEventListener, PreCollectionUpdateEventListener, PreCollectionRemoveEventListener, PostCollectionRecreateEventListener, Initializable

Author:
  Adam Warski (adam at warski dot org), Hern�n Chanfreau
See Also:
  Serialized Form

Constructor Summary
`AuditEventListener()`

Method Summary
`AuditConfiguration` | `getVerCfg()`
`void` | `initialize(Configuration cfg)`
`void` | `onPostDelete(PostDeleteEvent event)`
`void` | `onPostInsert(PostInsertEvent event)`
`void` | `onPostRecreateCollection(PostCollectionRecreateEvent event)`
`void` | `onPostUpdate(PostUpdateEvent event)`
`void` | `onPreRemoveCollection(PreCollectionRemoveEvent event)`
`void` | `onPreUpdateCollection(PreCollectionUpdateEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEventListener

    public AuditEventListener()

Method Detail

### onPostInsert

    public void onPostInsert(PostInsertEvent event)

  Specified by:
    `onPostInsert` in interface `PostInsertEventListener`

### onPostUpdate

    public void onPostUpdate(PostUpdateEvent event)

  Specified by:
    `onPostUpdate` in interface `PostUpdateEventListener`

### onPostDelete

    public void onPostDelete(PostDeleteEvent event)

  Specified by:
    `onPostDelete` in interface `PostDeleteEventListener`

### onPreUpdateCollection

    public void onPreUpdateCollection(PreCollectionUpdateEvent event)

  Specified by:
    `onPreUpdateCollection` in interface `PreCollectionUpdateEventListener`

### onPreRemoveCollection

    public void onPreRemoveCollection(PreCollectionRemoveEvent event)

  Specified by:
    `onPreRemoveCollection` in interface `PreCollectionRemoveEventListener`

### onPostRecreateCollection

    public void onPostRecreateCollection(PostCollectionRecreateEvent event)

  Specified by:
    `onPostRecreateCollection` in interface `PostCollectionRecreateEventListener`

### initialize

    public void initialize(Configuration cfg)

  Specified by:
    `initialize` in interface `Initializable`

### getVerCfg

    public AuditConfiguration getVerCfg()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.